Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
Class UrlMappingsHolderFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.UrlMappingsHolderFactoryBean

All Implemented Interfaces:
  GrailsApplicationAware, FactoryBean<UrlMappingsHolder>, InitializingBean, ServletContextAware

    public class UrlMappingsHolderFactoryBean

extends Object
implements FactoryBean<UrlMappingsHolder>, InitializingBean, GrailsApplicationAware, ServletContextAware

A FactoryBean for constructing the UrlMappingsHolder from the registered UrlMappings class within a GrailsApplication.

Since:
  0.5
Author:
  Graeme Rocher

Constructor Summary
`UrlMappingsHolderFactoryBean()`

Method Summary
`void` | `afterPropertiesSet()`
`UrlMappingsHolder` | `getObject()`
`Class<UrlMappingsHolder>` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)` This method is called by the `ApplicationContext` that loads the Grails application.
`void` | `setServletContext(ServletContext servletContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlMappingsHolderFactoryBean

    public UrlMappingsHolderFactoryBean()

Method Detail

### getObject

    public UrlMappingsHolder getObject()
                                throws Exception

  Specified by:
    `getObject` in interface `FactoryBean<UrlMappingsHolder>`
  Throws:
    `Exception`

### getObjectType

    public Class<UrlMappingsHolder> getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean<UrlMappingsHolder>`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean<UrlMappingsHolder>`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

  Description copied from interface: `GrailsApplicationAware`

  This method is called by the `ApplicationContext` that loads the Grails application. The `GrailsApplication` instance that represents the loaded Grails application is injected.

  Specified by:
    `setGrailsApplication` in interface `GrailsApplicationAware`
  Parameters:
    `grailsApplication` - the `GrailsApplication` object that represents this Grails application

### setServletContext

    public void setServletContext(ServletContext servletContext)

  Specified by:
    `setServletContext` in interface `ServletContextAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD